Subject: Re: gitweb: please show tags file history browsing

From: Jakub Narebski <[email-masked]>
Date: Sun, 12 Sep 2010 20:20:09 +0200

Tjernlund wrote:
>> On Sun, 12 Sep 2010, Tjernlund wrote:
>>>> From: Jakub Narebski [mailto:[email-masked]]
>>>> On Sun, 12 Sep 2010, Tjernlund wrote:
>>>>>> From: Jakub Narebski [mailto:[email-masked]]

>>>>>> While it probably be possible to show tags in 'history' view, it would
>>>>>> be not easy.  The problem is that 'history' view shows only commits
>>>>>> that touch specified file or directory, and tagged commits usually do
>>>>>> not touch those files (at least if one is using "bump version number"
>>>>>> commits to tag them).
>>>>>>
>>>>>> So you would have:
>>>>>> 1. Design where to show those tags - they would be between shown
>>>>>>    commits.
>>>>>> 2. Create code which shows some/all tags that are between commits in
>>>>>>    the presence of nonlinear history, without affecting performance
>>>>>>    too badly.
>>>>>
>>>>> Ah, that is too bad because I think it would really useful.
>>>>> Image browsing a drivers history in the linux kernel. Then it would be
>>>>> really nice to see what changes/bug fixes went into what release.
>>>>
>>>> First, you can help with the first issue even if you can't help with
>>>> the coding itself.
>>>
>>> I like the gitk way of showing tags, won't that work in gitweb too?
>> 
>> Err... "gitk" shows tags, but so does 'shortlog' and 'log' view in
>> gitweb.  The 'history' view in gitweb doesn't show intermediate tags,
>> but neither does "gitk -- <path>".
> 
> I know, I just meant the yellow note with tag name in it, how tags
> are displayed. When they are display is another matter :)

When those yellow notes with tag name are displayed beside commit
subject it means that this commit is referenced by given tag (i.e.
<this tag>^{commit} = <this commit>).

We have to distinguish situation where tag is between commits, and
tag points to commit.

-- 
Jakub Narebski
Poland